Bug 159912 - gsview broke w/ghostscript-8.15
gsview broke w/ghostscript-8.15
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gsview (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
http://apt.kde-redhat.org/apt/kde-red...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-08 22:23 EDT by Horst H. von Brand
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-18 17:09:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2005-06-08 22:23:49 EDT
Description of problem:
gsview broken due to update to ghostscript-8.15-0.rc3.1

Version-Release number of selected component (if applicable):
gsview-4.6-10

How reproducible:
Always

Steps to Reproduce:
1. Start gsview with some PS file, i.e., "gsview xyz.ps"
2.
3.
  
Actual results:
Error messsage, ends with:

Failed to load libgs.so.7: libgs.so.7: cannot open shared object file: No such
file or directory
Can't load Ghostscript DLL

Expected results:
Working...

Additional info:
Comment 1 Michael Schwendt 2005-06-09 03:36:30 EDT
ghostscript-8.15-0.rc3.1 is from FC5 Development
Comment 2 Rex Dieter 2005-06-09 08:07:10 EDT
Quick-fix: From gsview, select menu Options->Advanced Configuration
Set "Ghostscript Shared Object" to libgs.so.8 (I assume the shared lib major
number has been incremented from 7 to 8).
Comment 3 Horst H. von Brand 2005-06-09 17:30:19 EDT
No dice. Nice window telling me:

   GSview 4.6 2004-01-11
   play_sound: not implemented
   debug=0

   Wrong version of DLL found.
     Found version 81500
     Need version  704 - 919
Comment 4 Rex Dieter 2005-06-22 12:49:30 EDT
Can you see if gsview-4.7 helps?  See URL field for updated src.rpm to try out.
Comment 5 Horst H. von Brand 2005-06-22 13:49:32 EDT
Nope, http://apt.kde-redhat.org/apt/fedora/all/SRPMS.stable/gsview-4.7-1.src.rpm
doesn't exist.
Comment 6 Rex Dieter 2005-06-22 14:06:36 EDT
OK, here's a URL that actually works.
Comment 7 Horst H. von Brand 2005-06-22 17:01:27 EDT
With 4.7-1 I get:

GSview 4.7 2005-03-25
play_sound: not implemented
debug=0
config_wizard: not implemented
Unknown in Comments section at line 5:
  %.....................................

Failed to load libgs.so.7: libgs.so.7: cannot open shared object file: No such
file or directory
Can't load Ghostscript DLL
Comment 8 Rex Dieter 2005-06-22 17:04:18 EDT
Change the "Ghostscript Shared Object" preference per comment #2 and comment #3
Comment 9 Horst H. von Brand 2005-06-23 09:48:05 EDT
Same as before, just tells me:
Wrong version of DLL found
 Found version 81500
 Need version 704-919

ghostscript is currently 8.15-0.rc3.3
Comment 10 Rex Dieter 2005-06-23 09:55:35 EDT
On the surface, it appears that the new ghostscript changed how it reports it's
versioning (effectively *100).  I'll have to go look at the code.
Comment 11 Rex Dieter 2005-06-23 11:01:34 EDT
Try gsview-4.7-2 (see updated URL), changes include: 
1.  determines the proper default libgs.so.X to load at build-time instead of
hard-coding libgs.so.7
2.  scales reported DLL version (by /100) when > 70400 
Comment 12 Horst H. von Brand 2005-06-23 15:41:39 EDT
OK, that works fine out of the box. Thanks!

I'm not sure it is wise to scale down... better scale up what you expect (in
case they later come up with e.g. 89317, not just 81500).

BTW, the earlier one (4.7-1) didn't include ghostscript-devel in the
dependencies. It also gives lots of warnings when building. Is that OK?
Comment 13 Rex Dieter 2005-06-23 15:59:46 EDT
Re: scaling: It's ghostscript that changed behavior here, not gsview, so my
first pass was to make ghostscript behave as before.  When fc5 becomes closer to
reality, I'll take a closer look at ghostscript to see if the dll_revision
inflation is still there, and if so, inquire whether it's a bug or if it was
done on purpose (and why).

Re: ghostscript-devel, yep, that's so it can determine the proper default
libgs.so to load (so you don't have to go mucking with it).  And yes, there as
lots of compiler warnings... mostly cruft from gtk+-1.2.

Note You need to log in before you can comment on or make changes to this bug.